<?php
namespace PanoramaViewer\Form;

use PanoramaViewer\Module;
use Laminas\Form\Element;
use Laminas\Form\Form;

class PanoramaViewerBlockForm extends Form
{
	public function init()
	{

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][panorama_type]',
      'type' => Element\Select::class,
      'options' => [
          'label' => 'Panorama type',
          'info' => 'Please enter ...',
					'value_options' => Module::PANNELLUM_TYPES,
      ],
		]);

		/*
		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][width]',
			'type' => Element\Number::class,
      'options' => [
				'label' => 'Width in percentage',
			],
			'attributes' => [
				'min' => '50',
				'max' => '100',
			],
		]);
		*/
		
		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][ratio]',
      'type' => Element\Select::class,
      'options' => [
          'label' => 'Ratio',
					'value_options' => ['2' => '2:1', '1.333' => '4:3', '1.777' => '16:9'],
      ],
		]);

		$this->add([
		    'type' => Element\Checkbox::class,
		    'name' => 'o:block[__blockIndex__][o:data][autoLoad]',
		    'options' => [
		        'label' => 'Auto load the panorama',
		        //'use_hidden_element' => true,
		        'checked_value' => true,
		        'unchecked_value' => false,
		    ],
		]);

		$this->add([
		    'type' => Element\Checkbox::class,
		    'name' => 'o:block[__blockIndex__][o:data][renderSourceLink]',
		    'options' => [
		        'label' => 'Display a link to the item',
		        //'use_hidden_element' => true,
		        'checked_value' => true,
		        'unchecked_value' => false,
		    ],
		]);

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][title]',
			'type' => Element\Text::class,
      'options' => [
				'label' => 'Sub-title',
			]
		]);

	}
}
